cURL
curl --request POST \
--url https://api.timbal.ai/orgs/{org_id}/identity-providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_key": "acme",
"allowed_domains": [
"<string>"
],
"client_id": "<string>",
"client_secret": "<string>",
"default_role_id": 123,
"display_name": "<string>",
"enabled": true,
"groups_claim": "<string>",
"issuer": "https://acme.okta.com",
"scopes": "<string>"
}
'import requests
url = "https://api.timbal.ai/orgs/{org_id}/identity-providers"
payload = {
"provider_key": "acme",
"allowed_domains": ["<string>"],
"client_id": "<string>",
"client_secret": "<string>",
"default_role_id": 123,
"display_name": "<string>",
"enabled": True,
"groups_claim": "<string>",
"issuer": "https://acme.okta.com",
"scopes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_key: 'acme',
allowed_domains: ['<string>'],
client_id: '<string>',
client_secret: '<string>',
default_role_id: 123,
display_name: '<string>',
enabled: true,
groups_claim: '<string>',
issuer: 'https://acme.okta.com',
scopes: '<string>'
})
};
fetch('https://api.timbal.ai/orgs/{org_id}/identity-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.timbal.ai/orgs/{org_id}/identity-providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_key' => 'acme',
'allowed_domains' => [
'<string>'
],
'client_id' => '<string>',
'client_secret' => '<string>',
'default_role_id' => 123,
'display_name' => '<string>',
'enabled' => true,
'groups_claim' => '<string>',
'issuer' => 'https://acme.okta.com',
'scopes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.timbal.ai/orgs/{org_id}/identity-providers"
payload := strings.NewReader("{\n \"provider_key\": \"acme\",\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"default_role_id\": 123,\n \"display_name\": \"<string>\",\n \"enabled\": true,\n \"groups_claim\": \"<string>\",\n \"issuer\": \"https://acme.okta.com\",\n \"scopes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.timbal.ai/orgs/{org_id}/identity-providers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_key\": \"acme\",\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"default_role_id\": 123,\n \"display_name\": \"<string>\",\n \"enabled\": true,\n \"groups_claim\": \"<string>\",\n \"issuer\": \"https://acme.okta.com\",\n \"scopes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.timbal.ai/orgs/{org_id}/identity-providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_key\": \"acme\",\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"default_role_id\": 123,\n \"display_name\": \"<string>\",\n \"enabled\": true,\n \"groups_claim\": \"<string>\",\n \"issuer\": \"https://acme.okta.com\",\n \"scopes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"allowed_domains": [
"<string>"
],
"client_secret_set": true,
"created_at": 123,
"enabled": true,
"enforced": true,
"id": "<string>",
"kind": "<string>",
"org_id": "<string>",
"provider_key": "<string>",
"updated_at": 123,
"client_id": "<string>",
"default_role_id": "<string>",
"display_name": "<string>",
"groups_claim": "<string>",
"issuer": "<string>",
"scopes": "<string>"
}Identity Providers
Create Identity Provider
Create an SSO or directory identity connection for the organization.
POST
/
orgs
/
{org_id}
/
identity-providers
cURL
curl --request POST \
--url https://api.timbal.ai/orgs/{org_id}/identity-providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_key": "acme",
"allowed_domains": [
"<string>"
],
"client_id": "<string>",
"client_secret": "<string>",
"default_role_id": 123,
"display_name": "<string>",
"enabled": true,
"groups_claim": "<string>",
"issuer": "https://acme.okta.com",
"scopes": "<string>"
}
'import requests
url = "https://api.timbal.ai/orgs/{org_id}/identity-providers"
payload = {
"provider_key": "acme",
"allowed_domains": ["<string>"],
"client_id": "<string>",
"client_secret": "<string>",
"default_role_id": 123,
"display_name": "<string>",
"enabled": True,
"groups_claim": "<string>",
"issuer": "https://acme.okta.com",
"scopes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_key: 'acme',
allowed_domains: ['<string>'],
client_id: '<string>',
client_secret: '<string>',
default_role_id: 123,
display_name: '<string>',
enabled: true,
groups_claim: '<string>',
issuer: 'https://acme.okta.com',
scopes: '<string>'
})
};
fetch('https://api.timbal.ai/orgs/{org_id}/identity-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.timbal.ai/orgs/{org_id}/identity-providers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_key' => 'acme',
'allowed_domains' => [
'<string>'
],
'client_id' => '<string>',
'client_secret' => '<string>',
'default_role_id' => 123,
'display_name' => '<string>',
'enabled' => true,
'groups_claim' => '<string>',
'issuer' => 'https://acme.okta.com',
'scopes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.timbal.ai/orgs/{org_id}/identity-providers"
payload := strings.NewReader("{\n \"provider_key\": \"acme\",\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"default_role_id\": 123,\n \"display_name\": \"<string>\",\n \"enabled\": true,\n \"groups_claim\": \"<string>\",\n \"issuer\": \"https://acme.okta.com\",\n \"scopes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.timbal.ai/orgs/{org_id}/identity-providers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_key\": \"acme\",\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"default_role_id\": 123,\n \"display_name\": \"<string>\",\n \"enabled\": true,\n \"groups_claim\": \"<string>\",\n \"issuer\": \"https://acme.okta.com\",\n \"scopes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.timbal.ai/orgs/{org_id}/identity-providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_key\": \"acme\",\n \"allowed_domains\": [\n \"<string>\"\n ],\n \"client_id\": \"<string>\",\n \"client_secret\": \"<string>\",\n \"default_role_id\": 123,\n \"display_name\": \"<string>\",\n \"enabled\": true,\n \"groups_claim\": \"<string>\",\n \"issuer\": \"https://acme.okta.com\",\n \"scopes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"allowed_domains": [
"<string>"
],
"client_secret_set": true,
"created_at": 123,
"enabled": true,
"enforced": true,
"id": "<string>",
"kind": "<string>",
"org_id": "<string>",
"provider_key": "<string>",
"updated_at": 123,
"client_id": "<string>",
"default_role_id": "<string>",
"display_name": "<string>",
"groups_claim": "<string>",
"issuer": "<string>",
"scopes": "<string>"
}Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Body
application/json
Create an OIDC identity-provider connection for an org.
Response
Connection created
Masked view of a connection. Never includes the client secret.